Foreman - Bug #13434

Primary interface with static networking should set DNS according to subnet
01/28/2016 07:01 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Templates
Target version: 1.10.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/communit
y-templates/pull/232

Description

If the primary interface use static networking, NM won't get the DNS information from DHCP so we need to provide DNS= options in
ifcfg file according to what has been set for subnet.

Associated revisions

Revision 6784ee86 - 01/28/2016 07:02 AM - Marek Hulan

Fixes #13434 - configure DNS for static primary interface

History

#1 - 01/28/2016 07:04 AM - Marek Hulan
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/community-templates/pull/232 added

#2 - 03/07/2016 04:03 AM - Marek Hulan
- Status changed from Ready For Testing to Closed

PR was merged, community-templates doesn't seem to be linked to Redmine. The fix was cherry-picked to 1.10 as well.

#3 - 03/08/2016 08:05 AM - Dominic Cleal

- translation missing: en.field_release set to 123
